Bug 1410284 - [RFE] Allow PCIe devices on pseries guests (qemu part)
Summary: [RFE] Allow PCIe devices on pseries guests (qemu part)
Status: CLOSED ERRATA
Alias: None
Product: Red Hat Enterprise Linux 7
Classification: Red Hat
Component: qemu-kvm-rhev
Version: 7.4
Hardware: ppc64le
OS: Linux
unspecified
medium
Target Milestone: rc
: 7.4
Assignee: David Gibson
QA Contact: Qunfang Zhang
URL:
Whiteboard:
Keywords: FutureFeature
Depends On:
Blocks: 1429760 1568219 RHV4.1PPC 1410287
TreeView+ depends on / blocked
 
Reported: 2017-01-05 01:05 UTC by David Gibson
Modified: 2018-04-17 01:36 UTC (History)
9 users (show)

(edit)
Clone Of:
(edit)
Last Closed: 2017-08-01 23:42:15 UTC


Attachments (Terms of Use)


External Trackers
Tracker ID Priority Status Summary Last Updated
Red Hat Product Errata RHSA-2017:2392 normal SHIPPED_LIVE Important: qemu-kvm-rhev security, bug fix, and enhancement update 2017-08-01 20:04:36 UTC
IBM Linux Technology Center 152940 None None None 2017-03-28 10:13 UTC

Description David Gibson 2017-01-05 01:05:23 UTC
Description of problem:

Currently the pseries machine type only supports a "vanilla" PCI bus as far as qemu (and libvirt) are concerned.  That means PCIe devices - both emulated and passthrough - either won't work, or will be limited.  In particular the PCIe extended config space won't be accessible.

From the guest's point of view the paravirtualized PCI interface doesn't distinguish between PCI and PCIe, so existing guests should be fine with both PCI and PCIe devices (and there exist RTAS calls to access PCIe extended config space).

This BZ is to track addition of support for PCIe guest devices to qemu.  Actually adding the support should be straightforward.  Doing so without breaking compatibility with existing users, particularly libvirt, is more complex.

Tentative plan is to solve bug 1280542 in libvirt first.  Putting devices on separate vPHBs by default will simplify a number of issues.

Comment 1 David Gibson 2017-03-07 02:48:24 UTC
Looks like this is easier than I thought.

Upstream discussions concluded that pseries should continue to advertise a plain PCI bus, but we should advertise PCIe extended config space availability.  That was already mostly implemented, we just needed a device tree update to advertise it to the guest.

The patch to enable that has been merged for qemu-2.9, so moving to POST state.

Note that "hybrid" devices (xhci and virtio-pci) which can operate in either PCI or PCIe mode will still work in PCI mode on pseries for now.  See bug 1429760 for details.

Comment 5 errata-xmlrpc 2017-08-01 23:42:15 UTC
Since the problem described in this bug report should be
resolved in a recent advisory, it has been closed with a
resolution of ERRATA.

For information on the advisory, and where to find the updated
files, follow the link below.

If the solution does not work for you, open a new bug report.

https://access.redhat.com/errata/RHSA-2017:2392

Comment 6 errata-xmlrpc 2017-08-02 01:19:54 UTC
Since the problem described in this bug report should be
resolved in a recent advisory, it has been closed with a
resolution of ERRATA.

For information on the advisory, and where to find the updated
files, follow the link below.

If the solution does not work for you, open a new bug report.

https://access.redhat.com/errata/RHSA-2017:2392

Comment 7 errata-xmlrpc 2017-08-02 02:11:53 UTC
Since the problem described in this bug report should be
resolved in a recent advisory, it has been closed with a
resolution of ERRATA.

For information on the advisory, and where to find the updated
files, follow the link below.

If the solution does not work for you, open a new bug report.

https://access.redhat.com/errata/RHSA-2017:2392

Comment 8 errata-xmlrpc 2017-08-02 02:52:40 UTC
Since the problem described in this bug report should be
resolved in a recent advisory, it has been closed with a
resolution of ERRATA.

For information on the advisory, and where to find the updated
files, follow the link below.

If the solution does not work for you, open a new bug report.

https://access.redhat.com/errata/RHSA-2017:2392

Comment 9 errata-xmlrpc 2017-08-02 03:17:22 UTC
Since the problem described in this bug report should be
resolved in a recent advisory, it has been closed with a
resolution of ERRATA.

For information on the advisory, and where to find the updated
files, follow the link below.

If the solution does not work for you, open a new bug report.

https://access.redhat.com/errata/RHSA-2017:2392


Note You need to log in before you can comment on or make changes to this bug.